// pages/qrCode/qrCode.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    store_id: "",
    qr_code: "",
    keyOn: false
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options.key) {
      this.setData({
        keyOn: true
      });
    } else {
      if (options.store_id) {
        this.setData({
          store_id: options.store_id
        });
      }
      
    }
    this.getCode();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  downLoad(e){
    let arr = [];
    arr.push(this.data.qr_code);
    wx.previewImage({
      urls: arr,
    });
  },
  getCode() {
    let that = this;
    let urlStr;
    if (this.data.keyOn) {
      urlStr = app.getNetAddresss('plugin.store-cashier.frontend.store.goods-buy.get-collection-code');
    } else {
      urlStr = app.getNetAddresss('plugin.store-cashier.frontend.store.goods-buy.goodsqrcode');
      urlStr += '&id=' + this.data.store_id;
    }
    app._getNetWork({
      url: urlStr,
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.setData({
            qr_code: that.data.keyOn?res.data:res.data.small_qrcode
          });
        } else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  }
});